<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        // Rename existing forecasts table to backup
        Schema::rename('t_forecasts', 't_forecasts_old_backup');
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Restore original table name
        Schema::rename('t_forecasts_old_backup', 't_forecasts');
    }
};
